<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.zj365.dc">

    <!--joperate_permission_start-->
    <permission android:name="com.zj365.dc.permission.JOPERATE_MESSAGE" android:protectionLevel="signature"/>
    <uses-permission android:name="com.zj365.dc.permission.JOPERATE_MESSAGE" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <!-- Required  一些系统要求的权限，如访问网络等-->
    <uses-permission android:name="android.permission.INTERNET" />

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.hardware.camera" />

    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <!-- SDK2.1新增获取用户位置信息 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!--蓝牙基本的权限-->
    <!-- Request legacy Bluetooth permissions on older devices. -->
    <!--<uses-permission
        android:name="android.permission.BLUETOOTH"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.BLUETOOTH_ADMIN"
        android:maxSdkVersion="30" />-->

    <!--  true 表示手机必须支持BLE，否则无法安装！这里设置为false，运行后在activity中检查  -->
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="false" />
    <!--蓝牙搜索要用到权限-->
    <!-- Needed only if your app looks for Bluetooth devices.
         You must add an attribute to this permission, or declare the
         ACCESS_FINE_LOCATION permission, depending on the results when you
         check location usage in your app. -->
    <uses-permission
        android:name="android.permission.BLUETOOTH_SCAN"
        tools:ignore="SystemPermissionTypo" />
    <!-- 只有当您的应用程序使用蓝牙扫描结果来获取物理位置时才需要 -->

    <!-- Needed only if your app makes the device discoverable to Bluetooth
         devices. -->
    <!--  允许当前蓝牙设备可以被其他蓝牙设备发现  -->
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.BLUETOOTHCONNECT" />
    <!--蓝牙连接要用到权限-->
    <!-- Needed only if your app communicates with already-paired Bluetooth
         devices. -->
    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />

    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <!-- Optional for location -->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" /> <!-- 用于开启 debug 版本的应用在6.0 系统上 层叠窗口权限 -->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />

    <!--用于访问wifi网络信息，wifi信息会用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--用于获取wifi的获取权限，wifi信息会用来进行网络定位-->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <!--用于读取手机当前的状态-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!--用于写入缓存数据到扩展存储卡-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <!--如果设置了target >= 28 如果需要启动后台定位则必须声明这个权限-->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <!--如果您的应用需要后台定位权限，且有可能运行在Android Q设备上,并且设置了target>28，必须增加这个权限声明-->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <!--极光推送角标权限-->
    <uses-permission android:name="com.huawei.android.launcher.permission.CHANGE_BADGE " />

    <uses-sdk tools:overrideLibrary="com.yucheng.ycbtsdk" />

    <application
        android:name="com.xty.common.app.MyApp"
        android:allowBackup="true"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_logo"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:maxAspectRatio="2.4"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/ic_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.zhongjian"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup">

        <provider
            android:authorities="com.zj365.dc.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true"
            android:name="androidx.core.content.FileProvider">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths"/>
        </provider>

        <activity
            android:name=".activity.WelcomeAct"
            android:exported="true"
            android:theme="@style/app_start"
            android:windowSoftInputMode="adjustNothing">
            <intent-filter>
                <action android:name="com.xty.splash" />
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".activity.RegisterAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.LoginAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.MainActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.InfoSimpleAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.HealthScienceAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.DietManagementAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.CalorieAnalyzeAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name=".activity.RecognizeResultAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name=".activity.DeviceActiveAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />


        <activity android:name=".activity.OneKeyBinderDeviceAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity
            android:name="com.xty.server.act.ScienceDetailAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name=".activity.shop.ShopCategoryActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name=".activity.shop.CreateGoodsOrderAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />


        <activity
            android:name="com.zj365.health.act.BindFamilyAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.DeviceChoiceAct"
            android:screenOrientation="portrait" />

        <activity android:name=".activity.MessageDetailNewAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.MessageAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.MessageTypeListAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.zj365.mime.act.SettingNewAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.dc.activity.WatchFamilyHealthAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.zj365.mime.act.MyInfoAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.zj365.mime.act.DevInfoAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.MyIntegralAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity
            android:name="com.zj365.mime.act.NickNameAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.ChangePwdAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.AboutAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.DeviceSettingAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.WearManagerAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.WaterRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.DonotRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.SitRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.SportRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.HeartRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MedicationRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.HeartSpeedRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.HeartLowRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.HeartSportRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.OoRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.zj365.mime.act.PersonInfoAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.TempRemindAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.NoticeSettingAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MyProgAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MyOrganAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.DontDisturbAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.FeedBackAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.electronicfence.ElectronicFenceSettingAct"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.electronicfence.ElectronicAddressChooseAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity android:name="com.zj365.mime.act.electronicfence.ElectronicAddOrModifyAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.zj365.mime.act.BaseInfoChangeAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.ProgeammeDetailOldAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MsgReceiveAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MyKeeperAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.AgreementAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.ChangePhoneAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.FeedBackListAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.zj365.mime.act.MessageDetailAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity android:name="com.xty.base.act.AgreementReadWebAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity android:name="com.zj365.mime.act.EnterpriseInformationAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity android:name="com.zj365.mime.act.EnterpriseInformationForTypeAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity android:name="com.xty.base.act.RichTextAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>
        <activity
            android:name="com.xty.common.xqr_code.XQRCodeAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>
        <activity android:name="com.xty.base.act.WebAct"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>

        <activity android:name="com.xty.base.act.BaseTenCentWebViewActivity"
            android:screenOrientation="portrait"/>
        <service
            android:name="com.xty.common.services.MusicService"
            android:exported="true"
            android:label="music_service"
            android:permission="android.permission.BIND_NOTIFICATION_LISTENER_SERVICE">
            <intent-filter>
                <action android:name="android.service.notification.NotificationListenerService" />
            </intent-filter>

        </service>

        <service android:name="com.amap.api.location.APSService" />

        <service
            android:name="com.xty.common.services.NoneService"
            android:enabled="true"
            android:exported="false"
            android:process=":health_user_1">
            <intent-filter>
                <action android:name="com.xty.common.services.NoneService" />
            </intent-filter>
        </service>

        <service
            android:name="com.xty.common.services.JPushService"
            android:exported="true"
            android:process=":pushcore">
            <intent-filter>
                <action android:name="cn.jiguang.user.service.action" />
            </intent-filter>
        </service>

        <receiver
            android:name="com.xty.common.receiver.JpushReceive"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="cn.jpush.android.intent.RECEIVE_MESSAGE" />
                <category android:name="com.zj365.dc" />
            </intent-filter>
        </receiver>

        <activity
            android:name="com.zj365.dc.wxapi.WXEntryActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:taskAffinity="com.zj365.dc"
            android:theme="@style/Theme.AppCompat.NoActionBar.Transparent"></activity>
        <activity
            android:name="com.zj365.dc.wxapi.WXPayEntryActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:taskAffinity="com.zj365.dc"
            android:theme="@style/Theme.AppCompat.NoActionBar.Transparent" />

        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />
        <meta-data
            android:name="com.hihonor.push.app_id"
            android:value="${HONOR_APPID}" />

            <meta-data
                android:name="com.amap.api.v2.apikey"
                android:value="5a316db0d8149008c774308b33d47174"/>

    </application>

</manifest>